List of messages
/v1/mailboxes/{mailbox_id}/messagesReturns up to 40 messages, from new UID to old. For the next page, pass next_before as before. For next_before=null there are no more pages. Read does not set the read flag.
Authentication and access · Errors and retries
Request
curl -X GET 'https://adapt-mail.com/v1/mailboxes/<mailbox_id>/messages' \ -H 'Authorization: Bearer <access_token>'Parameters
mailbox_idpathNecessarilyintegerfolderquerystringDefault:
"INBOX"qquerystringDefault:
""maxLength: 200beforequery- Option 1
integerexclusiveMinimum: 0Option 2null X-Customer-IDheader- Option 1
stringOption 2null
Responses
200 Successful response
application/json
object
itemsarrayArray elementsobjectuidintegeruidvalidityintegerfolderstringmessage_idstringthread_idstringsenderstringrecipientsarrayArray elementsobjectnamestringemailstring
subjectstringpreviewstringflagsarrayArray elementsstringsize_bytesintegerreceived_atstringDate and time in UTC. If there is no offset, the value also represents UTC.
next_before- Option 1
integerOption 2null uidvalidityinteger
401 Login required
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
403 No access
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
404 Resource not found
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
409 State conflict
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject
422 Validation error
application/json
object
detailarrayArray elementsobjectlocNecessarilyarrayArray elementsOption 1stringOption 2integermsgNecessarilystringtypeNecessarilystring
503 Temporarily unavailable
application/json
object
detail- Option 1
stringOption 2objectcodestringmessagestring
Option 3arrayArray elementsobject